yum update fails due to samba dependencies on client registered to Red Hat Satellite 6

Solution Verified - Updated -

Issue

  • yum update fails due to samba dependencies
Finished Dependency Resolution
Error: Package: samba-winbind-krb5-locator-4.7.1-6.el7.x86_64 (@rhel-7-server-optional-rpms)
           Requires: samba-winbind = 4.7.1-6.el7
           Removing: samba-winbind-4.7.1-6.el7.x86_64 (@rhel-7-server-rpms)
               samba-winbind = 4.7.1-6.el7
           Updated By: samba-winbind-4.8.3-4.el7.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.8.3-4.el7
           Available: samba-winbind-4.1.1-31.el7.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.1-31.el7
           Available: samba-winbind-4.1.1-33.el7_0.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.1-33.el7_0
           Available: samba-winbind-4.1.1-35.el7_0.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.1-35.el7_0
           Available: samba-winbind-4.1.1-37.el7_0.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.1-37.el7_0
           Available: samba-winbind-4.1.1-38.el7_0.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.1-38.el7_0
           Available: samba-winbind-4.1.12-21.el7_1.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.12-21.el7_1
           Available: samba-winbind-4.1.12-23.el7_1.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.12-23.el7_1
           Available: samba-winbind-4.1.12-24.el7_1.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.1.12-24.el7_1
           Available: samba-winbind-4.2.3-10.el7.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.2.3-10.el7
           Available: samba-winbind-4.2.3-11.el7_2.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.2.3-11.el7_2
           Available: samba-winbind-4.2.3-12.el7_2.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.2.3-12.el7_2
           Available: samba-winbind-4.2.10-6.el7_2.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.2.10-6.el7_2
           Available: samba-winbind-4.2.10-6.2.el7_2.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.2.10-6.2.el7_2
           Available: samba-winbind-4.2.10-7.el7_2.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.2.10-7.el7_2
           Available: samba-winbind-4.4.4-9.el7.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.4.4-9.el7
           Available: samba-winbind-4.4.4-12.el7_3.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.4.4-12.el7_3
           Available: samba-winbind-4.4.4-13.el7_3.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.4.4-13.el7_3
           Available: samba-winbind-4.4.4-14.el7_3.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.4.4-14.el7_3
           Available: samba-winbind-4.6.2-8.el7.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.6.2-8.el7
           Available: samba-winbind-4.6.2-10.el7_4.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.6.2-10.el7_4
           Available: samba-winbind-4.6.2-11.el7_4.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.6.2-11.el7_4
           Available: samba-winbind-4.6.2-12.el7_4.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.6.2-12.el7_4
           Available: samba-winbind-4.7.1-9.el7_5.x86_64 (rhel-7-server-rpms)
               samba-winbind = 4.7.1-9.el7_5
Error: Package: samba-winbind-krb5-locator-4.7.1-6.el7.x86_64 (@rhel-7-server-optional-rpms)
           Requires: libwbclient = 4.7.1-6.el7
           Removing: libwbclient-4.7.1-6.el7.i686 (@rhel-7-server-rpms)
               libwbclient = 4.7.1-6.el7
           Updated By: libwbclient-4.8.3-4.el7.i686 (rhel-7-server-rpms)
               libwbclient = 4.8.3-4.el7
           Available: libwbclient-4.1.1-31.el7.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.1-31.el7
           Available: libwbclient-4.1.1-33.el7_0.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.1-33.el7_0
           Available: libwbclient-4.1.1-35.el7_0.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.1-35.el7_0
           Available: libwbclient-4.1.1-37.el7_0.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.1-37.el7_0
           Available: libwbclient-4.1.1-38.el7_0.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.1-38.el7_0
           Available: libwbclient-4.1.12-21.el7_1.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.12-21.el7_1
           Available: libwbclient-4.1.12-23.el7_1.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.12-23.el7_1
           Available: libwbclient-4.1.12-24.el7_1.i686 (rhel-7-server-rpms)
               libwbclient = 4.1.12-24.el7_1
           Available: libwbclient-4.2.3-10.el7.i686 (rhel-7-server-rpms)
               libwbclient = 4.2.3-10.el7
           Available: libwbclient-4.2.3-11.el7_2.i686 (rhel-7-server-rpms)
               libwbclient = 4.2.3-11.el7_2
           Available: libwbclient-4.2.3-12.el7_2.i686 (rhel-7-server-rpms)
               libwbclient = 4.2.3-12.el7_2
           Available: libwbclient-4.2.10-6.el7_2.i686 (rhel-7-server-rpms)
               libwbclient = 4.2.10-6.el7_2
           Available: libwbclient-4.2.10-6.2.el7_2.i686 (rhel-7-server-rpms)
               libwbclient = 4.2.10-6.2.el7_2
           Available: libwbclient-4.2.10-7.el7_2.i686 (rhel-7-server-rpms)
               libwbclient = 4.2.10-7.el7_2
           Available: libwbclient-4.4.4-9.el7.i686 (rhel-7-server-rpms)
               libwbclient = 4.4.4-9.el7
           Available: libwbclient-4.4.4-12.el7_3.i686 (rhel-7-server-rpms)
               libwbclient = 4.4.4-12.el7_3
           Available: libwbclient-4.4.4-13.el7_3.i686 (rhel-7-server-rpms)
               libwbclient = 4.4.4-13.el7_3
           Available: libwbclient-4.4.4-14.el7_3.i686 (rhel-7-server-rpms)
               libwbclient = 4.4.4-14.el7_3
           Available: libwbclient-4.6.2-8.el7.i686 (rhel-7-server-rpms)
               libwbclient = 4.6.2-8.el7
           Available: libwbclient-4.6.2-10.el7_4.i686 (rhel-7-server-rpms)
               libwbclient = 4.6.2-10.el7_4
           Available: libwbclient-4.6.2-11.el7_4.i686 (rhel-7-server-rpms)
               libwbclient = 4.6.2-11.el7_4
           Available: libwbclient-4.6.2-12.el7_4.i686 (rhel-7-server-rpms)
               libwbclient = 4.6.2-12.el7_4
           Available: libwbclient-4.7.1-9.el7_5.i686 (rhel-7-server-rpms)
               libwbclient = 4.7.1-9.el7_5
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Environment

  • Red Hat Enterprise Linux 7 (client)
  • Red Hat Satellite 6

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In